com.independentsoft.msg

## Enum AttachmentFlags

- java.lang.Object
- - java.lang.Enum<AttachmentFlags>
  - - com.independentsoft.msg.AttachmentFlags

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AttachmentFlags>

      public enum AttachmentFlags
      extends java.lang.Enum<AttachmentFlags>

  Represents attachment's flags.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVISIBLE_IN_HTML` Indicates that this attachment is not available to HTML rendering applications and should be ignored in MIME processing.
    `INVISIBLE_IN_RTF` Indicates that this attachment is not available to applications rendering in Rich Text Format (RTF) and should be ignored by MAPI.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttachmentFlags` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AttachmentFlags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVISIBLE_IN_HTML

          public static final AttachmentFlags INVISIBLE_IN_HTML

      Indicates that this attachment is not available to HTML rendering applications and should be ignored in MIME processing.

    - #### INVISIBLE_IN_RTF

          public static final AttachmentFlags INVISIBLE_IN_RTF

      Indicates that this attachment is not available to applications rendering in Rich Text Format (RTF) and should be ignored by MAPI.

    - #### NONE

          public static final AttachmentFlags NONE

      None.

  - ### Method Detail

    - #### values

          public static AttachmentFlags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttachmentFlags c : AttachmentFlags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttachmentFlags valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null